<?php


use Illuminate\Database\Eloquent\Model as Eloquent;

class Course extends Eloquent 
{
	
        	protected $fillable = [
                                    'instructor_id',
                                    'status',
                                    'goal',
                                    'curriculum',
                                    'title',
                                    'price',
                                    'subtitle',
                                    'description',
                                    'primarily_taught',
                                    'level',
                                    'image',
                                    'category_id'
];
	
	protected $table = 'courses';



    public function approved()
    {
        return self::where('status', 'Approved');
    }

    public function in_review()
    {
        return self::where('status', 'In review');
    }


    public function draft()
    {
        return self::where('status', 'Draft');
    }


    public function denied()
    {
        return self::where('status', 'Denied');
    }







//to be worked on
public function is_ready_for_review()
{
   $required =  [                   'goal',
                                    'curriculum',
                                    'title',
                                    'price',
                                    'description',
                                    'primarily_taught',
                                    'level',
                                    'image',];

foreach ($required as $field) {
    if ($this->$field == null) {
        return false;
    }
}


return true ;
}



    public function enrolments()
    {
        return    Enrolment::where('course_id', $this->id);
    }


    public function instructor()
    {
        return $this->belongsTo('User', 'instructor_id');
    }


    public function category()
    {
        return $this->belongsTo('Category', 'category_id');

    }




 public function getCurriculumAttribute($value)
    {
        return json_decode($value);
    }

 public function getGoalAttribute($value)
    {
        return json_decode($value);
    }






public function getimageAttribute($value)
    {
        if ((!is_dir($value))  && (file_exists($value))) {

        return ($value);
        }

        return 'uploads/files/courses_thumbnails/default.jpg';
    }





}


















?>