<?php


use Illuminate\Database\Eloquent\Model as Eloquent;

class User extends Eloquent 
{
	
	protected $fillable = [ 
				'username',	
				'firstname',
                'lastname',
                'headline',
                'bio',
				'type_of_user',
				'email',
				'email_verification',
				'phone',
				'profile_pix',
				'resized_profile_pix',
				'password',
				'lastseen_at',
				'lastlogin_ip',
	 			'blocked_on'	

	 ];
	
	protected $table = 'users';
  	protected $dates = [
        'created_at',
        'updated_at',
        'lastseen_at'
    ];
    protected $hidden = ['password'];

public function supportTickets()
{
		return $this->hasMany('SupportTicket' , 'user_id');
}



public function is_enrolled_on($course_id)
{
	$enrolled_courses_ids =  $this->enrolled_courses->pluck('course_id')->toArray();
	return (in_array($course_id, $enrolled_courses_ids ));
}


public function is_instructor()
{
	return in_array($this->id, self::instructors()->pluck('id')->toArray());
}



public function instructors()
{
	return self::where('type_of_user', 2);
}

public function blocked_users()
{
	return self::where('blocked_on', '!=' , null);
}




public function is_blocked()
{
	return in_array($this->id, self::blocked_users()->pluck('id')->toArray());
}




public function approved_courses()
{
	return $this->created_courses->where('status', 'Approved');

}

    public function created_courses()
    {
    	return $this->hasMany('Course', 'instructor_id');
    }

    public function enrolled_courses()
    {
    	return $this->hasMany('Enrolment', 'student_id');
    }

  
public function purchase_history()
{
	return $this->hasMany('CoursePaymentHistory', 'student_id');
}





  
public function credit_history()
{
	return $this->hasMany('CourseCreditHistory', 'instructor_id');
}























































public function getprofilepixAttribute($value)
    {
    	if ((!is_dir($value))  && (file_exists($value))) {

        return ($value);
    	}

    	return 'uploads/images/users/profile_img/default.jpg';
    }


public function getresizedprofilepixAttribute($value)
    {
    	if ((!is_dir($value))  && (file_exists($value))) {

        return ($value);
    	}

    	return 'uploads/images/users/profile_img/default.jpg';
    }





	/**
	 * [getFirstNameAttribute eloquent accessor for firstname column]
	 * @param  [type] $value [description]
	 * @return [string]        [description]
	 */
	public function getFirstNameAttribute($value)
    {
        return ucfirst($value);
    }

/**
	 * [getFirstNameAttribute eloquent accessor for firstname column]
	 * @param  [type] $value [description]
	 * @return [string]        [description]
	 */
	public function getLastNameAttribute($value)
    {
        return ucfirst($value);
    }


	/**
	 * eloquent mutators for password hashing
	 * hashes user password on insert or update
	 *@return 
	 */
	 public function setPasswordAttribute($value)
	    {
	        $this->attributes['password'] = password_hash($value, PASSWORD_DEFAULT);
	    }




}

















?>